Commits Between origin/release/0.6.pre18 and release/0.6.pre19

Commits Between Branches origin/release/0.6.pre18 and release/0.6.pre19

c73e413 2019-04-20 Andy Chu [cleanup] Various fixes / code improvements.
ac84707 2019-04-21 Joshua Nelson Implement 'type -p' (#267)
c06027f 2019-04-21 Andy Chu Fix alias expansion bugs, motivating a big change to the Arena.
08bf423 2019-04-22 Andy Chu [plugins] PS1 and PS4 can no longer modify $? or ${PIPESTATUS[@]}.
79bb60d 2019-04-22 Andy Chu [cleanup] Replace arena.GetDebugInfo() with arena.GetLineSourceString().
ffa3322 2019-04-22 Andy Chu [refactor] Move Tracer to core/dev.py.
f67e470 2019-04-22 Andy Chu Fix unit tests and spec tests after last commit.
8262996 2019-04-22 Andy Chu [cleanup] Get rid of the last usage of SideArena() in non-test code.
3f2197e 2019-04-22 Andy Chu [cleanup] Get rid of SideArena altogether.
5dbfc95 2019-04-22 Andy Chu [cleanup] Get rid of Pool.
ee6cdd2 2019-04-22 Andy Chu [UI] Polish array LValue error messages.
dac7544 2019-04-23 Andy Chu Fix error caught by MyPy.
829177d 2019-04-23 Andy Chu [cleanup] Get rid of unnecessary Arena parameters.
04d980e 2019-04-23 Andy Chu [xtrace] Prevent infinite loop when PS4 has a command sub.
1bc1279 2019-04-23 Andy Chu syntax.asdl: Distinguish between sourced files and the main file.
54f82d3 2019-04-23 Andy Chu [cleanup] Fix all invocations of PushSource() to take type 'source'.
84558c7 2019-04-23 Andy Chu [cleanup] Remove unused method.
bd96941 2019-04-23 Andy Chu Put a catch-all for IOError and OSError in ExecuteAndCatch().
68d1d76 2019-04-23 Andy Chu [types] Fix build by adding type annotation.
a0b7316 2019-04-23 Andy Chu [cleanup] Remove redundant methods.
4e9a7c0 2019-04-23 Andy Chu Catch IOError and OSError in WordEvaluator.EvalForPlugin().
ea18090 2019-04-24 Aria Buckles build/compile.sh: add missing space in $readline_flags (#289)
888ec4c 2019-04-24 Andy Chu Fix lint error.
33cadd8 2019-04-26 Andy Chu [word-language] Treat ${var%[} as bash and busybox ash do.
9a7957b 2019-04-27 Andy Chu Fix unit test broken by last change.
909a175 2019-04-27 Andy Chu [errors] Compute arg_vector with location info.
d503627 2019-04-28 Andy Chu [errors] Thread arg_vector through to core/process.py.
7f8dbde 2019-04-28 Andy Chu [errors] Fix crash when printing syntax error for 'a[]=1'
460a555 2019-04-28 Andy Chu [errors] Start showing location info for invalid builtin usage.
5693f10 2019-04-28 Andy Chu [errors] Make usage errors better for 'read' and invalid args.
bb0f52e 2019-04-28 Andy Chu [types] Fix type errors.
4275f3c 2019-04-28 Andy Chu [errors] More polishing of flag usage errors.
c0f3299 2019-04-28 Andy Chu [errors] Add location info to 'set -o invalid-option'
2c65cbe 2019-04-30 Andy Chu [test/spec] Reproduce bugs reported by Crestwave.
a21a1b8 2019-04-30 Andy Chu [test/spec] Also test zsh behavior on spec/bugs.test.sh.
a1f279b 2019-04-30 Andy Chu Fix unit tests.
64fbb68 2019-04-30 Andy Chu Bug fix: properly validate the argument to break/continue/return.
fa02622 2019-04-30 Andy Chu Fix bug with ${var%''}.
3febe08 2019-05-01 Andy Chu [errors] Print location info when a command isn't found.
9693f4b 2019-05-01 Andy Chu [errors] Tickle two more errors in core/process.py.
22a2a4b 2019-05-01 Andy Chu Make the non-empty string check more explicit for mycpp.
ebdb124 2019-05-01 Andy Chu [errors] Tweak the appearance of fatal error messages from 'errexit'.
fd2e943 2019-05-01 Andy Chu [errors] Polish 'errexit' error messages.
477b592 2019-05-01 Andy Chu [errors] Example where we quote the same line of code twice.
8f5afcf 2019-05-01 Andy Chu Don't run the exit trap on 'eval' (or after sourcing oshrc).
f8e0741 2019-05-02 Andy Chu [errors] Start using an ErrorFormatter object.
4c6559b 2019-05-02 Andy Chu [errors] Improve error message on failed redirect.
aabf63e 2019-05-02 Andy Chu [errors] shopt uses arg_vec to display some syntax errors.
5a570a1 2019-05-02 Andy Chu [errors] Catch IOError and OSError in completion plugins too.
1427003 2019-05-02 Andy Chu [test] Fix unit tests and lint failures.
bb878c0 2019-05-02 Andy Chu [errors] Clean up errors from the test / [ builtin.
33d5397 2019-05-02 Andy Chu [errors] Thread location info from arg_vec through builtin_bracket.
363e060 2019-05-03 Andy Chu Fix bug in constructing arg vector.
936a7bf 2019-05-03 Andy Chu got error printing
5cd357a 2019-05-03 Andy Chu [errors] Polish error messages for builtin_bracket.
332e96b 2019-05-03 Andy Chu [errors] More polish for builtin_bracket.
d75ee91 2019-05-03 Andy Chu small change
7af64ef 2019-05-03 Andy Chu [cmd_exec] Fix bad status after redirect error.
641b370 2019-05-03 Andy Chu [refactor] Start factoring out builtin invocation.
383956c 2019-05-03 Andy Chu [errors] The ErrorFormatter object now has location context.
1f64b11 2019-05-03 Andy Chu [errors] Use the current location as a fallback for UsageError.
de64575 2019-05-04 Andy Chu [core/ui] Fix bug and add unit test.
6148f58 2019-05-04 Andy Chu [errors] Location info for 'source' errors.
ad7a266 2019-05-04 Andy Chu [errors] Use self.errfmt throughout osh/cmd_exec.py.
a00cd52 2019-05-04 Andy Chu [errors] Get rid of more util.error() calls.
c54d9e9 2019-05-04 Andy Chu [errors] Replace some util.error() with args.UsageError()
afef88a 2019-05-04 Andy Chu use new style
3832d27 2019-05-04 Andy Chu [errors] Switch cd, pushd, etc. to the new builtin style.
e4b7f88 2019-05-04 Andy Chu [errors] unset, alias, unalias use the new builtin style.
963896e 2019-05-05 Andy Chu [errors] Convert builtins to use new style and remove util.error() calls.
65a4b49 2019-05-05 Andy Chu [builtins] pwd doesn't use the $PWD variable!
2cbe0fb 2019-05-05 Andy Chu [errors] wait and jobs use the new builtin style.
c4df610 2019-05-05 Andy Chu [errors] Add location info to pipelines, for set -o pipefail.
d3f0ee6 2019-05-05 Andy Chu [errors] Add missinglocation info, guided by test/runtime-errors.sh.
8e24c6d 2019-05-05 Andy Chu Simplify code by using span_id in state.Mem() as a fallback.
1004bf5 2019-05-06 Andy Chu [refactor] Remove usage of zip() builtin.
7850c2c 2019-05-06 Andy Chu [cleanup, errors] Get rid of the last usages of util.error().
f422ef9 2019-05-06 Andy Chu [errors] Clean up warning messages in OSH.
71c0599 2019-05-06 Andy Chu [errors, warn] Get rid of util.warn().
5571ad7 2019-05-06 Andy Chu [errors] Change remaining builtins to use the new style.
3bb87d4 2019-05-06 Andy Chu [errors] Use ParseVec everywhere, and remove the old API.
b5667a5 2019-05-06 Andy Chu [cleanup] Simplify the core/ui.py API.
3254b7e 2019-05-07 Andy Chu [test/spec] Demonstration of issue #299.
5d7f5f5 2019-05-07 Andy Chu [test/spec] Case for unsupported dynamic control flow.
9ba47aa 2019-05-07 Andy Chu [spec/alias] Classify the divergence as "OK" for osh.
7eb30c2 2019-05-07 Andy Chu [interactive] Properly report an error for 'var=)' in interactive mode.
c062c66 2019-05-08 Andy Chu [build/cpython-defs] Include posix.WTERMSIG in the build.
81a59ae 2019-05-08 Andy Chu [release] Bump version to 0.6.pre19.
304fc82 2019-05-08 Andy Chu [frontend/args] Restore ParseArgv() since tools/readlink still uses it.